<div class="col-md-8 py-5 px-3 mx-auto">
    <header class="pb-3 mb-5 border-bottom">
    <h1>BareMetalHost {{metadata.name}} </h1>
    </header>
    {{#with bmh}}
    <div>
    <ul class="list-group">
        <li class="list-group-item">
        <b>Administrative Status: </b>
        {{#if spec.online}}
        <span class="badge badge-success">On</span>
        {{else}}
        <span class="badge badge-danger">Off</span>
        {{/if}}
        </li>
        {{#with status}}
        <li class="list-group-item">
        <b>Operational Status: </b>
        {{#if poweredOn}}
        <span class="badge badge-success">On line</span>
        {{else}}
        <span class="badge badge-danger">Off line</span>
        {{/if}}
        </li>
        {{#ifeq operationalStatus "error"}}
        <li class="list-group-item list-group-item-danger"><b>Ironic Status: </b> Error {{errorType}}</li>
        {{else}}
        <li class="list-group-item"><b>Ironic Status:</b> {{operationalStatus}}</li>
        {{/ifeq}}
        {{#with provisioning}}
        {{#if bootMode}}
        <li class="list-group-item"><b>Boot Mode:</b> {{bootMode}}</li>
        {{/if}}
        {{#if image.url}}
        <li class="list-group-item"><b>Image:</b> {{image.url}}</li>
        {{/if}}
        {{#if state}}
        <li class="list-group-item"><b>Provisioning State:</b> {{state}}</li>
        {{/if}}
        {{/with}}
        {{#with hardware}}
            <li class="list-group-item"><b>Host Name:</b> {{hostname}}</li>
            {{#with systemVendor}}
            <li class="list-group-item"><b>System Vendor:</b> {{manufacturer}}</li>
            <li class="list-group-item"><b>Product Name:</b> {{productName}}</li>
            {{#if serialNumber}}
            <li class="list-group-item"><b>Serial Number:</b> {{serialNumber}}</li>
            {{/if}}
            {{/with}}
        {{/with}}
    </ul>
    {{#with hardware}}
    <h2> CPU </h2>
    {{#with cpu}}
    <ul class="list-group">
        <li class="list-group-item"><b>CPU Architecture:</b> {{arch}}</li>
        <li class="list-group-item"><b>CPU Model:</b> {{model}}</li>
        <li class="list-group-item"><b>Clock Speed:</b> {{clockMegahertz}} Mhz</li>
        <li class="list-group-item"><b>CPU Count:</b> {{count}}</li>
        <li class="list-group-item"><b>Flags:</b>
        {{#each flags}}
          <span class="badge badge-secondary">{{this}}</span>&nbsp;
        {{/each}}
        </li>
    </ul>
    {{/with}}
    <h2>RAM</h2>
    <ul class="list-group">
        <li class="list-group-item"><b>Size:</b> {{megabytes ramMebibytes}}</li>
    <h2>Storage</h2>
    <table class="table table-hover">
    <thead class="thead-dark">
    <tr>
        <td scope="col">Name</td>
        <td scope="col">Type</td>
        <td scope="col">Rot</td>
        <td scope="col">Vendor</td>
        <td scope="col">Model</td>
        <td scope="col">Size</td>
        <td scope="col">Serial</td>
    </tr>
    </thead>
    <tbody>
    {{#each storage}}
    <tr>
        <td>{{name}}</td>
        <td>{{type}}</td>
        <td>{{rotational}}</td>
        <td>{{vendor}}</td>
        <td>{{model}}</td>
        <td>{{bytes sizeBytes}}</td>
        <td>{{serialNumber}}</td>
    </tr>
    {{/each}}
    </tbody>
    </table>
    <h2>Network Interface Controllers</h2>
    <table class="table table-hover">
    <thead class="thead-dark">
    <tr>
        <td scope="col">Name</td>
        <td scope="col">Model</td>
        <td scope="col">MAC</td>
        <td scope="col">IP</td>
        <td scope="col">Speed</td>
        <td scope="col">Untagged VLAN</td>
        <td scope="col">VLANs</td>
        <td scope="col">PXE Enabled</td>
    </tr>
    </thead>
    <tbody>
    {{#each nics}}
    <tr>
        <td>{{name}}</td>
        <td>{{model}}</td>
        <td>{{mac}}</td>
        <td>{{ip}}</td>
        <td>{{#if speedGbps}}{{speedGbps}} Gb/s{{/if}}</td>
        <td>{{vlanid}}</td>
        <td>
            {{#each vlans}}
            {{name}}({{id}}),
            {{/each}}
        </td>
        <td>{{pxe}}</td>
    </tr>
    {{/each}}
    </tbody>
    </table>

    {{/with}}
    {{/with}}
    </div>
    {{/with}}
</div>